Bug 166550 - Review Request: synce-software-manager
Summary: Review Request: synce-software-manager
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: David Lawrence
URL: http://synce.sourceforge.net/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-23 09:44 UTC by Andreas Bierfert
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 17:29:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Bierfert 2005-08-23 09:44:04 UTC
Spec Name or Url: http://fedora.lowlatency.de/review/synce-software-manager.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/synce-software-manager-0.9.0-1.src.rpm
Description:
Software manager for use with synce

Comment 1 Jeremy Katz 2005-08-23 15:04:57 UTC
*** Bug 166559 has been marked as a duplicate of this bug. ***

Comment 2 Jef Spaleta 2005-12-08 14:44:18 UTC
Okay I'm willing to pick up the synce* submissions from late August to do the
package guidelines review. But I don't have the winCE based hardware to test
functionality against. Is there a way to fake a device with synce or anything
like that?

I can get started on reviewing synce-software-manager first and then move on to
the other ones from there.

-jef




Comment 3 Andreas Bierfert 2005-12-08 14:59:07 UTC
Thanks :)


Hm, to my knowledge there is no non-tivial way to fake a winCE device. Does
anybody know more about this?

Comment 4 Jef Spaleta 2005-12-09 05:26:37 UTC
Okay I've gone over the review. 2 blockers
1) Need to add BuildRequires: libgnomeui-devel
I fixed this to do my review and located here:
http://jef.is-a-geek.com/downloads/synce-software-manager/synce-software-manager-0.9.0-2.src.rpm
http://jef.is-a-geek.com/downloads/synce-software-manager/synce-software-manager.spec

2) Need to add a desktop file and associated scriptlet and Requires
I haven't fixed this, You'll need to add a .desktop as a SOURCE1 and then use
the instructions in http://www.fedoraproject.org/wiki/PackagingGuidelines for
Desktop Files.

Please add the desktop file and respin the srpm so I can do a final review of
the changes.

Full review:
- GOOD: builds in mock on an fc4 host system.
- GOOD: rpmlint returns clean.
- GOOD: The package is named according to the PackageNamingGuidelines.
- GOOD: The spec file name matches the base package %{name}
- GOOD: package meets the PackagingGuidelines.
- GOOD: The package is licensed with an open-source compatible license (MIT)
- GOOD: The License field in the package spec file matches the actual license.
- GOOD: The source package includes the text of the license(s) in its own file,
COPYING and is included in %doc.
- GOOD: The spec file is written American English.
- GOOD: The spec file for the package is be legible. 
- GOOD: The sources used to build the package match the upstream source.
- Fixed: The package must successfully compiles and build into binary rpms on
fc4 i386 and fc-devel i386.
        Needed to add BuildRequires: libgnomeui-devel 
- GOOD: package does not contain any BuildRequires that are listed in the
exceptions section of PackagingGuidelines.
- Fixed: All other Build dependencies must be listed in BuildRequires.
        Need to add BuildRequires: libgnomeui-devel
- GOOD: Uses the %find_lang macro.
- GOOD: No shared library files located in the dynamic linker's default paths
- GOOD: package owns all directories that it creates. 
- GOOD: package does not contain any duplicate files in the %files listing.
- GOOD: Permissions on files must be set properly. 
- GOOD: package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- GOOD: package consistently use macros, as described in the macros section of
PackagingGuidelines.
- GOOD: package contains code, or permissable content. 
- GOOD: No large documentation files.
- GOOD: %doc files do not affect the runtime of the application. 
- GOOD: No header files or static libraries.
- GOOD: No files used by pkgconfig (.pc files).
- GOOD: No library files with a suffix (e.g. libfoo.so.1.1)


- BAD: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
PackagingGuidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.


Comment 6 Aurelien Bompard 2005-12-09 10:24:56 UTC
I'll help testing, I have a wince device. But I have little time at the moment,
sorry.

Comment 7 Aurelien Bompard 2005-12-12 16:59:05 UTC
Review for release 3:
* RPM name is OK
* Source synce-software-manager-0.9.0.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of synce-software-manager looks OK
* File list of synce-software-manager looks OK
* Works fine
I would APPROVE this version, I'm changing the blocker bug. Jef, if you
disagree, feel free to set it back.

Comment 8 Andreas Bierfert 2005-12-13 17:29:24 UTC
imported and build, THANKS you both for your time


Note You need to log in before you can comment on or make changes to this bug.